Description

Open gvsig

Add new view
Select 'Add layer' button
Add layer (http:/downloads.gvsig.org/download/geodata/vector/SHP2D/esp _comaut.zip)

Add layer (http://downloads.gvsig.org/download/geodata/vector/DXF/V0813 LaRioja.dxf.zip)
Click Open

Click on OK

Click on 'Clip' from gvSIG geoprocessing tools

Select 'Input cover': 'V0813_LaRioja.dxf'

Select 'Clip cover": 'esp_comaut.shp’

Save to temporary file

Check 'Fit to input layers' option appears by default in 'Output region' flange
Click Ok

An error message appears: "java.lang.ArraylndexOutOfBoundsException: 9"

History

#1 - 08/10/2012 11:35 AM - Manuel Madrid

- Target version set to 2.0.0-rc1

#2 - 08/13/2012 11:00 AM - Joaquin del Cerro Murciano
- Assignee set to Juan Lucas Dominguez

#3 - 08/27/2012 12:27 PM - Juan Lucas Dominguez
- Assignee changed from Juan Lucas Dominguez to Ignacio Brodin

#4 - 08/29/2012 11:31 AM - Ignacio Brodin

- Status changed from New to Fixed

gvsig-geoprocess:r292

Clipping a layer has sense when the clip layer is a spatial subset of the input layer. In this case the result is the same that the input layer but the
algorithm will separate the layer in three.
http://downloads.gvsig.org/download/geodata/vector/SHP2D/esp_comaut.zip
http://downloads.gvsig.org/download/geodata/vector/DXF/V0813_LaRioja.dxf.zip

The clip process is done three times, once for each type of layer. | am going to open a feature request to improve this characteristic

#5 - 08/30/2012 02:15 PM - Joaquin del Cerro Murciano

- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2052

#6 - 09/07/2012 11:39 AM - Vicent Domenech

- Status changed from Fixed to Closed

Closed with gvSIG build 2052
org.gvsig.geoprocess.app.algorithm-1.0.0-SNAPSHOT-2047
org.gvsig.geoprocess.app.mainplugin-1.0.0-SNAPSHOT-2047
